<?php
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/ventaIdCompra',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->venta_por_id_compra($post["idVenta"],$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/listadoFecha',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->listadoFecha($post["fecha1"],$post["fecha2"],$post["idBodega"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/asignacionCantidad',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->asignacionCantidad($post["idVenta"],$post["ubicacion"],$post["idBodega"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/listadoProPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->listadoProPedido($post["idVenta"],$post["idBodega"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaAbonoBasico',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->ventaAbonoBasico($post["idPago"],$post["genAbono"]??"0");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaIdBasico',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->ventaIdBasico($post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/asignacionSiggo',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->asignacionIdSiggo($post["codigo"],$post["claveSiggo"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoCompra',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->ventaTipoCompra($post["pagina"],$post["control"],$post["tipoVentaControl"]??"6",$post["busqueda"]??"",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoTrasladoPPO',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->ventaTipoTrasladoPPO($post["pagina"],$post["control"],$post["tipoVentaControl"]??"6",$post["busqueda"]??"",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

// $app->post('/terminarMensajeroAuxGene',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
// $a=new ConsultaMensajero();  $a1=$a->terminarMensajeroAuxGene($post["idVenta"],$post["estado"]);
// $res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarTrasladoAuxAux',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->finalizarTrasladoAuxAux($post["idVenta"],$post["bandera"],$post["estado"],$post["caja"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/obtenerSerial',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->obtenerSerial($post["control"],$post["idBodega"]??"6",$post["actu"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaPorIdTraslado',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->ventaPorIdTraslado($post["idVenta"],$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoTrasladoAuxTraslado',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->venta_tipo_traslado_aux_traslado($post["pagina"],$post["control"],$post["tipoVentaControl"]??"6",$post["busqueda"]??"",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioIdGeneralAux',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambio_id_general_aux($post["id"],$post["control"],$post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaIdDirecto',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->ventaPorIdDirecto($post["idVenta"],$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaVentaTraslado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->consultaVentaTraslado($post["lista"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaTraslado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->consultaTraslado($post["idTraslado"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioVentaEstado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->cambioEstadoVenta($post["idVenta"],$post["estado"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/verificacionSiggo',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->revisarExistenciaSigo($post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaTrasladoDirecto',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->venta_tipo_traslado_directo($post["pagina"],$post["busqueda"],$post["idBodega"],$post["estado"]??"sin tomar");    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaPedido',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->consultaPedido($post["idVendedor"],$post["idBodega"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioBodega',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->cambioBodega($post["idUsuario"],$post["idBodega"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/bodegaConsulta',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->bodegaConsulta();    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/conteoVerificado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->conteoVerificado($post["id_empresa"]??"1");    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/paginacionCartera',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->paginacionCartera($post["pagina"],$post["ancho"],$post["busqueda"],$post["idBodega"]??"6",$post["idVendedor"]??"0");    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/clienteBase',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->clienteBase($post["idUsuario"]??"489");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/clienteTotal',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->clienteTotal($post["busqueda"],$post["idEmpresa"]??"1",$post["idUsuario"]??"489");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaMovimientoVenta',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->consultaMovimientoVenta($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/generalActualizacion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->generalActualizacion($post["campos"],$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioDesgloseGene',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambioDesgloseGene($post["descuento"], $post["costoEnvio"], $post["iva"], $post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarDireccionGene',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->actualizarDireccionGene($post["direccion"],$post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/agregarTransportadora',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->agregarTransportadora($post["campos"],$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioIdAux22',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambio_id_aux2($post["id"],$post["idVenta"],$post["transportadora"],$post["lugar"],$post["guia"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioIdAux',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambio_id_aux($post["id"],$post["control"],$post["idVenta"],$post["aux"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioCajaGeneralDes',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->cambioCajaGeneral($post["campos"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ingresoCajaCreditoDes',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->ingresoCajaCredito($post["campos"],$post["idBodega"]??"6",$post["idVendedor"]??"0",$post["idEmpresa"]??"1");    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioCajaDes',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaDespacho(); $a1=$a->cambioCaja($post["campos"],$post["idEmpresa"]??"6");    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/rastrearPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->rastreoPedido($post["pagina"],$post["busqueda"],$post["ancho"],$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/filtroRastreoPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->filtroRastreoPedido($post["filtros"],$post["pagina"],$post["ancho"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarImagenAccion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->actualizarImagenAccion($post["campo"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaIdNormal',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->ventaIdNormal($post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaAbonos',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->consultaAbonosAA($post["pagina"],$post["anchoAux"],$post["busqueda"],$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/procesoAbonos',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->procesoAbonoAA($post["idPago"],$post["tipo"],$post["motivo"],$post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/procesoDevolucion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->procesoDevolucion($post["idVenta"],$post["idpr"],$post["tipo"],$post["saldo"],$post["motivo"],$post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/saldoRegresar',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->saldoRegresar($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ingresoCajaSaldo',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->ingresoCajaSaldo($post["campos"],$post["idBodega"]??"6",$post["idVendedor"]??"0",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/usuarioid',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->usuarioId($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/historialTrasladoGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->historial_traslado_general($post["id"],$post["pagina"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioIdGeneralDespacho',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambio_id_general_despacho($post["id"],$post["control"],$post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/busquedaDespachoGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->busqueda_general_despacho($post["busqueda"],$post["estado"],$post["tipo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/corroborarNovedades',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->corroborarNovedades($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarPedidoPickingGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->finalizarPedidoPickingGeneral($post["nuevoEstado"],$post["idVenta"],$post["index"],$post["novedad"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/subirComprobantePeticion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->subirComprobantePeticion($post["idVenta"],$post["base64"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaPaqueteria',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->consulta_paqueterias();
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarPedidoDespachoExterno',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->finaliza_pedido_despacho_externo($post["idVenta"],$post["id"],$post["lat0"],$post["lon0"],$post["lat1"],$post["lon1"],$post["distancia"],$post["tiempo"],$post["paqueteria"],$post["guia"],$post["tipoEntrega"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/novedades',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->novedades();
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioIdGeneralBodega',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->cambio_id_general_bodega($post["id"],$post["control"],$post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoTraslado',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->venta_tipo_traslado($post["pagina"],$post["control"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarTraslado',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->finalizarTraslado($post["idVenta"],$post["bandera"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoTrasladoAux',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->venta_tipo_traslado_aux($post["pagina"],$post["control"],$post["tipoVentaControl"]??"6",$post["busqueda"]??"",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarTrasladoAux',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->finalizarTrasladoAux($post["idVenta"],$post["bandera"],$post["estado"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoDespachoPagina',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho();  $a1=$a->venta_tipo_despacho_limite($post["control"],$post["estado"],$post["pagina"],$post["idBodega"]??"6",$post["busqueda"]??"");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/obtenerCaja',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->obtenerCaja($post["idCliente"],$post["tipo"],$post["idVendedor"]??"0");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ingresoCaja',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->ingresoCaja($post["campos"],$post["idBodega"]??"6",$post["idVendedor"]??"0",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaInicioDespacho',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->consulta_inicial_despacho($post["estado"],$post["idBodega"]??"6");
$res->getBody()->write(json_encode($a1)); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/toRestreoDespacho',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->toRastreo();
$res->getBody()->write(json_encode($a1)); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoDespacho',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $a1=$a->venta_tipo_despacho($post["control"],$post["estado"],$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/todosVentasDespacho',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->todos_ventas($post["conteo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioIdGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambio_id_general($post["id"],$post["control"],$post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaId',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->venta_por_id($post["idVenta"],$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/pausarPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->pausar_pedido($post["idVenta"],$post["valor"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/verificarDireccion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->verificar_direccion($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/eliminarElemento',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->eliminar_elemento($post["idVenta"],$post["indexActual"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambiarCantidad',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambiar_cantidad($post["idVenta"],$post["idpr"],$post["cantidad"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioPrecio',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cambio_precio($post["idVenta"],$post["indexActual"],$post["tipoPrecio"],$post["precio"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/regresarValores',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->regresar_valores($post["idVenta"],$post["idpr"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/verificarTransaccion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->verificar_transaccion($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/verificarTransaccionPago',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->verificar_transaccion_pago($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/rechazoGeneralPago',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->rechazoGeneral1($post["idVenta"],$post["motivo"],$post["idAnulacion"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/rechazoDireccion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->rechazoDireccion($post["idVenta"],$post["motivo"],$post["idAnulacion"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarPedidoVerificacion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->finalizarPedidoVerificacion($post["nuevoEstado"],$post["idVenta"],$post["index"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarPedidoPacking',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->finalizarPedidoPackingGeneral($post["cajas"],$post["idVenta"],$post["index"],$post["novedad"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarPedidoFacturacion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->finalizarPedidoFacturacionGeneral($post["impresion"],$post["idVenta"],$post["index"],$post["siggo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/retornarPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->funcion_retorno($post["idVenta"],$post["estado"],$post["estadoNuevo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cancelarPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->cancelarPedido($post["idVenta"],$post["idVendedor"],$post["motivo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/noTomarPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->no_tomar_pedido($post["idVenta"],$post["control"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/finalizarPedidoDespacho',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->finalizar_pedido_despacho($post["idVenta"],$post["index"],$post["id"],$post["lat0"],$post["lon0"],$post["lat1"],$post["lon1"],$post["distancia"],$post["tiempo"],$post["vehiculo"],$post["placa"],$post["grafico"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/identificacionPedidoGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->identificacionPedidoGeneral($post["clave"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/obtenerActualPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->actualizacionGeneral($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/estadoPagoObtener',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespacho(); $paso=$a->estadoPagoObtener($post["idVenta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});
?>
